﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace XamGridAddNewRowEditMode
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
           this.xamGrid1.AddNewRowSettings.AllowAddNewRow = AddNewRowLocation.Bottom;
           this.xamGrid1.AddNewRowSettings.IsOnCellActiveEditingEnabled = true;
           if (xamGrid1.Rows.Count != 0)
           {
               Row rw = ((RowsManager)this.xamGrid1.Rows[0].Manager).AddNewRowBottom;

               rw.Cells[0].IsActive = true;

               xamGrid1.EnterEditMode();


           }
           else
           {

               xamGrid1.CellControlAttached += xamGrid1_CellControlAttached;
           }
        }

        private void xamGrid1_CellControlAttached(object sender, CellControlAttachedEventArgs e)
        {
            
            if (xamGrid1.ActiveCell == null)
            {
                xamGrid1.CellControlAttached -= xamGrid1_CellControlAttached;
                Dispatcher.BeginInvoke(new Action(() =>
                    {
                        e.Cell.IsActive = true;
                        xamGrid1.EnterEditMode();
                    }));
            }
             
        
        }
    }
}
